/**
 * Redistribution and use of this software and associated documentation
 * ("Software"), with or without modification, are permitted provided
 * that the following conditions are met:
 *
 * 1. Redistributions of source code must retain copyright
 *    statements and notices.  Redistributions must also contain a
 *    copy of this document.
 *
 * 2. Redistributions in binary form must reproduce the
 *    above copyright notice, this list of conditions and the
 *    following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 *
 * 3. The name "Exolab" must not be used to endorse or promote
 *    products derived from this Software without prior written
 *    permission of Exoffice Technologies.  For written permission,
 *    please contact info@exolab.org.
 *
 * 4. Products derived from this Software may not be called "Exolab"
 *    nor may "Exolab" appear in their names without prior written
 *    permission of Exoffice Technologies. Exolab is a registered
 *    trademark of Exoffice Technologies.
 *
 * 5. Due credit should be given to the Exolab Project
 *    (http://www.exolab.org/).
 *
 * THIS SOFTWARE IS PROVIDED BY EXOFFICE TECHNOLOGIES AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * EXOFFICE TECHNOLOGIES OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * Copyright 2000-2001 (C) Exoffice Technologies Inc. All Rights Reserved.
 *
 * $Id: JndiConstants.java,v 1.8 2003/08/07 13:32:57 tanderson Exp $
 *
 * Date         Author  Changes
 * 3/14/2000    jima    Created
 */
package org.exolab.jms.jndi;


/**
 * Constants used to for the JNDI implementation
 *
 * @version     $Revision: 1.8 $ $Date: 2003/08/07 13:32:57 $
 * @author      <a href="mailto:jima@exoffice.com">Jim Alateras</a>
 */
public interface JndiConstants {

    /**
     * Property name for the port number that the RMI registry is using
     * @deprecated
     */
    public final static String PORT_NUMBER_PROPERTY =
        "org.exolab.jms.jndi.port";

    /**
     * Property name for the host that the RMI registry is using
     * @deprecated
     */
    public final static String HOST_PROPERTY =
        "org.exolab.jms.jndi.host";

    /**
     * Property name for the server name
     * @deprecated
     */
    public final static String NAME_PROPERTY =
        "org.exolab.jms.jndi.name";

    // Property name for the server name
    public final static String HTTP_CLIENT_URL_PROPERTY =
        "org.exolab.jms.jndi.http_client_url";

    // Property name for the server name
    public final static String HTTP_CLIENT_SERVER_ADDRESS_PROPERTY =
        "org.exolab.jms.jndi.http.client.address";
}

