/**
 * Redistribution and use of this software and associated documentation
 * ("Software"), with or without modification, are permitted provided
 * that the following conditions are met:
 *
 * 1. Redistributions of source code must retain copyright
 *    statements and notices.  Redistributions must also contain a
 *    copy of this document.
 *
 * 2. Redistributions in binary form must reproduce the
 *    above copyright notice, this list of conditions and the
 *    following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 *
 * 3. The name "Exolab" must not be used to endorse or promote
 *    products derived from this Software without prior written
 *    permission of Exoffice Technologies.  For written permission,
 *    please contact info@exolab.org.
 *
 * 4. Products derived from this Software may not be called "Exolab"
 *    nor may "Exolab" appear in their names without prior written
 *    permission of Exoffice Technologies. Exolab is a registered
 *    trademark of Exoffice Technologies.
 *
 * 5. Due credit should be given to the Exolab Project
 *    (http://www.exolab.org/).
 *
 * THIS SOFTWARE IS PROVIDED BY EXOFFICE TECHNOLOGIES AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * EXOFFICE TECHNOLOGIES OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * Copyright 2000 (C) Exoffice Technologies Inc. All Rights Reserved.
 *
 * $Id: MessageMgrException.java,v 1.3 2003/08/07 13:33:03 tanderson Exp $
 *
 * Date         Author  Changes
 * 08/03/01	    jima    Created
 */
package org.exolab.jms.messagemgr;

import org.exolab.core.service.ServiceException;


/**
 * A general purpose exception to indicate a problem in the message manager.
 *
 * @version     $Revision: 1.3 $ $Date: 2003/08/07 13:33:03 $
 * @author      <a href="mailto:jima@intalio">Jim Alateras</a>
 */
public class MessageMgrException extends ServiceException {

    /**
     * Construct a new <code>MessageMgrException</code> with no information.
     */
    public MessageMgrException() {
    }

    /**
     * Construct a new <code>MessageMgrException</code> with a detail message
     *
     * @param message a message describing this exception
     */
    public MessageMgrException(String message) {
        super(message);
    }

    /**
     * Construct a new <code>MessageMgrException</code> with the exception that
     * caused it.
     *
     * @param cause the exception that caused this exception
     */
    public MessageMgrException(Throwable cause) {
        super(cause);
    }

    /**
     * Construct a new <code>MessageMgrException</code> with a detail
     * message and the exception that caused it
     *
     * @param message a message describing this exception
     * @param cause the exception that caused this exception
     */
    public MessageMgrException(String message, Throwable cause) {
        super(message, cause);
    }

} //-- MessageMgrException
