#!/bin/sh

#
# Set up the environment
#
if [ -z "$JAVA_HOME" ] ; then
  JAVA=`which java`
  if [ -z "$JAVA" ] ; then
    echo "Cannot find JAVA. Please set your PATH."
    exit 1
  fi
  JAVA_BIN=`dirname $JAVA`
  JAVA_HOME=$JAVA_BIN/..
fi

JAVA=$JAVA_HOME/bin/java

if [ "$OPENJMS_HOME"x = x ]; then
  OPENJMS_HOME=.
fi

POLICY_FILE=$OPENJMS_HOME/config/openjms.policy

CP=$OPENJMS_HOME/build/testharness
CP=$OPENJMS_HOME/lib/@JUNIT@:$CP
CP=$OPENJMS_HOME/lib/@OPENJMS@:$CP
CP=$CP:$CLASSPATH

$JAVA -Djava.security.manager -Djava.security.policy=$POLICY_FILE -Dopenjms.home=$OPENJMS_HOME -classpath $CP org.exolab.testharness.jms.TestHarness -execute $*
